migrate.source.d6_view_mode:
  type: migrate_source_sql
  label: 'Drupal 6 view mode'
  mapping:
    constants:
      type: mapping
      label: 'Constants'
      mapping:
        targetEntityType:
          type: string
          label: 'Target entity type'
        status:
          type: boolean
          label: 'Status'

migrate.source.d6_node_type:
  type: migrate_source_sql
  label: 'Drupal 6 node type'
  mapping:
    constants:
      type: migrate_entity_constant
      label: 'Constants'

migrate.source.d6_node:
  type: migrate_source_sql
  label: 'Drupal 6 node'
  mapping:
    node_type:
      type: string
      label: 'Node type'

migrate.source.d7_node:
  type: migrate_source_sql
  label: 'Drupal 7 node'
  mapping:
    node_type:
      type: string
      label: 'Node type'

migrate.source.d6_node_revision:
  type: migrate_source_sql
  label: 'Drupal 6 node revision'
  mapping:
    node_type:
      type: string
      label: 'Node type'

migrate.source.d7_node_revision:
  type: migrate_source_sql
  label: 'Drupal 7 node revision'
  mapping:
    node_type:
      type: string
      label: 'Node type'

migrate.source.d7_node_type:
  type: migrate_source_sql
  label: 'Drupal 7 node type'
